I need toolbar launcher screenlet

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

I need toolbar launcher screenlet

Postby babujbf on Tue Apr 14, 2009 12:04 am

I see these things everyone has them, I looked in gnome-look.org and they have it in gdesklets and that one is lame anyways. I want a kickass toolbar screenlet like the ones Macs have.

Where can I get one?
babujbf
Level 1
Level 1
 
Posts: 29
Joined: Thu Apr 09, 2009 12:20 am

Linux Mint is funded by ads and donations.
 

Re: I need toolbar launcher screenlet

Postby pluraldave on Tue Apr 14, 2009 3:44 am

I guess you mean a dock? You have 3 options:

1. Right click gnome do in your panel (little purple square) and click preferences. In the appearance tab change theme to "Docky".
2. Install cairo dock (From synaptic)
3. Install Avant Window Navigator (AWN) (From mintinstall, synaptic)
User avatar
pluraldave
Level 5
Level 5
 
Posts: 709
Joined: Mon Sep 01, 2008 8:05 am

Re: I need toolbar launcher screenlet

Postby babujbf on Tue Apr 14, 2009 4:33 pm

ok I installed cairo dock... how do I use it?

EDIT:

I got it to work but when you set it it only has 4 positions to put it top,bottom,left,right and I set it on bottom which ends up overlaping my toolbar how can I move it up a little bit?
babujbf
Level 1
Level 1
 
Posts: 29
Joined: Thu Apr 09, 2009 12:20 am

Re: I need toolbar launcher screenlet

Postby pluraldave on Wed Apr 15, 2009 10:28 am

I don't know if that's possible (I don't like/use docks myself). Most people go for a Mac type layout and move the panel (toolbar) to the top of the screen.
User avatar
pluraldave
Level 5
Level 5
 
Posts: 709
Joined: Mon Sep 01, 2008 8:05 am

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sat Apr 18, 2009 12:55 am

pluraldave wrote:I guess you mean a dock? You have 3 options:

1. Right click gnome do in your panel (little purple square) and click preferences. In the appearance tab change theme to "Docky".
2. Install cairo dock (From synaptic)
3. Install Avant Window Navigator (AWN) (From mintinstall, synaptic)


Ok I'm trying to get docky working right now and when I click the gnome do icon and try to change the theme the only options i have are classic, glass frame and mini. Does anyone have any idea how I can get docky working? Thanks!
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Re: I need toolbar launcher screenlet

Postby pluraldave on Sat Apr 18, 2009 6:27 pm

Which version of gnome do? You might need to upgrade to 0.8.0.
User avatar
pluraldave
Level 5
Level 5
 
Posts: 709
Joined: Mon Sep 01, 2008 8:05 am

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sat Apr 18, 2009 7:19 pm

pluraldave wrote:Which version of gnome do? You might need to upgrade to 0.8.0.


Thanks for the reply!

It says version 0.6.1.0. How do I upgrade to the latest version? can I just do this?
Code: Select all
sudo apt-get install gnome-do

Or is there some other way I have to go about it?
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Re: I need toolbar launcher screenlet

Postby pluraldave on Sun Apr 19, 2009 5:56 am

Check it in synaptic. I would have thought mintUpdate would have upgraded it for you unless you've turned off level 3 updates. If you're using LM6 it should be available in the repos but in LM5 it may not...
User avatar
pluraldave
Level 5
Level 5
 
Posts: 709
Joined: Mon Sep 01, 2008 8:05 am

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sun Apr 19, 2009 3:03 pm

pluraldave wrote:Check it in synaptic. I would have thought mintUpdate would have upgraded it for you unless you've turned off level 3 updates. If you're using LM6 it should be available in the repos but in LM5 it may not...


Thanks for the reply!

Ok I looked in synaptic and under the latest version heading it says "0.6.1.0-0ubuntu2" and it says the same thing under the installed version heading. I'm not really sure what is meant by level 3 updates but if that is something that was on by default, I haven't messed with it as far as I know so it should still be on. I am using Linux Mint 6 by the way.

I also tried using

Code: Select all
sudo apt-get install gnome-do


and it said that "gnome-do is already the newest version." What should I try next?

EDIT:
It's probably also important to note that I'm using 64 bit Mint. I should have pointed that out to start with. Sorry about that.
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Re: I need toolbar launcher screenlet

Postby pluraldave on Sun Apr 19, 2009 5:59 pm

Ok I just checked my version and it's "0.8.0-0-1mint1" so I guess it must be in one of the non-default Mint repos (I'd guess Romeo). Open a terminal and type

Code: Select all
gksu gedit /etc/apt/sources.list


Look at the lines at the top for "Linux Mint Repositories" and uncomment/add any that differ from my list to yours.

My LM repos:
## -----------------------
## LINUX MINT REPOSITORIES
## -----------------------

## +++ Linux Mint 6 Felicia (stable) +++
deb http://packages.linuxmint.com/ felicia main upstream import

## +++ Backports (not as stable) +++
# deb http://packages.linuxmint.com/ felicia backport

## +++ Community (not as stable) +++
deb http://packages.linuxmint.com/ felicia community

## +++ Romeo (unstable) +++
deb http://packages.linuxmint.com/ felicia romeo

## +++ Source Repositories +++
# deb-src http://packages.linuxmint.com/ felicia main upstream import
deb-src http://packages.linuxmint.com/ felicia community
# deb-src http://packages.linuxmint.com/ felicia backport
# deb-src http://packages.linuxmint.com/ felicia romeo


Save and exit. I hope after that it should pop up in mintUpdate and/or synaptic.
User avatar
pluraldave
Level 5
Level 5
 
Posts: 709
Joined: Mon Sep 01, 2008 8:05 am

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sun Apr 19, 2009 6:28 pm

pluraldave wrote:Ok I just checked my version and it's "0.8.0-0-1mint1" so I guess it must be in one of the non-default Mint repos (I'd guess Romeo). Open a terminal and type

Code: Select all
gksu gedit /etc/apt/sources.list


Look at the lines at the top for "Linux Mint Repositories" and uncomment/add any that differ from my list to yours.

My LM repos:
## -----------------------
## LINUX MINT REPOSITORIES
## -----------------------

## +++ Linux Mint 6 Felicia (stable) +++
deb http://packages.linuxmint.com/ felicia main upstream import

## +++ Backports (not as stable) +++
# deb http://packages.linuxmint.com/ felicia backport

## +++ Community (not as stable) +++
deb http://packages.linuxmint.com/ felicia community

## +++ Romeo (unstable) +++
deb http://packages.linuxmint.com/ felicia romeo

## +++ Source Repositories +++
# deb-src http://packages.linuxmint.com/ felicia main upstream import
deb-src http://packages.linuxmint.com/ felicia community
# deb-src http://packages.linuxmint.com/ felicia backport
# deb-src http://packages.linuxmint.com/ felicia romeo


Save and exit. I hope after that it should pop up in mintUpdate and/or synaptic.

Ok here's my revised sources.list file
Code: Select all
## -----------------------
## LINUX MINT REPOSITORIES
## -----------------------

## +++ Linux Mint 6 Felicia (stable) +++
deb http://packages.linuxmint.com/ felicia main upstream import

## +++ Backports (not as stable) +++
# deb http://packages.linuxmint.com/ felicia backport

## +++ Community (not as stable) +++
deb http://packages.linuxmint.com/ felicia community

## +++ Romeo (unstable) +++
deb http://packages.linuxmint.com felicia romeo

## +++ Source Repositories +++
# deb-src http://packages.linuxmint.com/ felicia main upstream import
deb-src http://packages.linuxmint.com/ felicia community
# deb-src http://packages.linuxmint.com/ felicia backport
# deb-src http://packages.linuxmint.com/ felicia romeo

## -------------------
## UBUNTU REPOSITORIES
## -------------------

## +++ Ubuntu 8.10 Intrepid (stable) +++
deb http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ intrepid-security main restricted universe multiverse

## +++ Backports & Proposed (not as stable) +++
# deb http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb http://archive.ubuntu.com/ubuntu/ intrepid-proposed main restricted universe multiverse

## +++ Source Repositories +++
# deb-src http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe multiverse
# deb-src http://security.ubuntu.com/ubuntu/ intrepid-security main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ intrepid-proposed main restricted universe multiverse

## ------------------
## OTHER REPOSITORIES
## ------------------

## +++ Canonical (stable) +++
deb http://archive.canonical.com/ubuntu/ intrepid partner

## +++ Medibuntu (stable) +++
deb http://packages.medibuntu.org/ intrepid free non-free


I tried to update with mint update and I checked in synaptic and it still says that gnome-do is the most current version. I also tried to update via terminal
Code: Select all
jeremy@jeremy-laptop ~ $ sudo apt-get install gnome-do
Reading package lists... Done
Building dependency tree       
Reading state information... Done
gnome-do is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.
jeremy@jeremy-laptop ~ $


Is there anything else I might try? Thanks!
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sun Apr 19, 2009 6:52 pm

Ok I got it updated. Here's what I did. First I went to http://do.davebsd.com/wiki/index.php?ti ... _Do#Ubuntu (official gnome-do website) and it says to add the gnome-do repos. That didn't work for me but it may work for others. I then went to the getdeb site: http://www.getdeb.net/app/GNOME+Do and just downloaded the .deb from there. It installed and I'm about to restart and try it out. I'll report back.
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Re: I need toolbar launcher screenlet

Postby jeremy1138 on Sun Apr 19, 2009 7:05 pm

Ok it's working. Thanks to the folks that helped out, I really appreciate it!
jeremy1138
Level 1
Level 1
 
Posts: 9
Joined: Mon Apr 06, 2009 8:03 pm
Location: Central New York

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 36 guests